coreEngine.atdm.DataStruct

## Class ATDMScenario

- java.lang.Object
- - coreEngine.atdm.DataStruct.ATDMScenario

- All Implemented Interfaces:
    java.io.Serializable

      public class ATDMScenario
      extends java.lang.Object
      implements java.io.Serializable

  This class contains information (adjustment factors) for one scenario.
  Author:
    Shu Liu, Lake Trask
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private CA2DInt` | `atdmRampMeteringType`
    `private CA2DFloat` | `CAF`
    `private CA2DFloat` | `DAF`
    `private java.lang.String` | `discription`
    `private CA2DInt` | `LAF`
    `private java.lang.String` | `name`
    `private CA2DFloat` | `OAF`
    `private RMHelper` | `RM`
    `private CA2DFloat` | `SAF`
    `private static long` | `serialVersionUID`
    `private int` | `status`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ATDMScenario(int numSeg, int numPeriod)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `CA2DFloat` | `CAF()`
    `CA2DFloat` | `DAF()`
    `java.lang.String` | `getDiscription()`
    `java.lang.String` | `getName()`
    `CA2DInt` | `getRampMeteringType()`
    `int` | `getStatus()`
    `CA2DInt` | `LAF()`
    `CA2DFloat` | `OAF()`
    `RMHelper` | `RM()`
    `CA2DFloat` | `SAF()`
    `void` | `setDiscription(java.lang.String discription)`
    `void` | `setName(java.lang.String name)`
    `void` | `setStatus(int status)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      See Also:
        Constant Field Values

    - #### CAF

          private final CA2DFloat CAF

    - #### SAF

          private final CA2DFloat SAF

    - #### DAF

          private final CA2DFloat DAF

    - #### OAF

          private final CA2DFloat OAF

    - #### RM

          private final RMHelper RM

    - #### LAF

          private final CA2DInt LAF

    - #### atdmRampMeteringType

          private final CA2DInt atdmRampMeteringType

    - #### name

          private java.lang.String name

    - #### discription

          private java.lang.String discription

    - #### status

          private int status

  - ### Constructor Detail

    - #### ATDMScenario

          public ATDMScenario(int numSeg,
                              int numPeriod)

      Parameters:
        `numSeg` -
        `numPeriod` -

  - ### Method Detail

    - #### CAF

          public CA2DFloat CAF()

      Returns:

    - #### SAF

          public CA2DFloat SAF()

      Returns:

    - #### DAF

          public CA2DFloat DAF()

      Returns:

    - #### OAF

          public CA2DFloat OAF()

      Returns:

    - #### RM

          public RMHelper RM()

      Returns:

    - #### LAF

          public CA2DInt LAF()

      Returns:

    - #### getName

          public java.lang.String getName()

      Returns:

    - #### setName

          public void setName(java.lang.String name)

      Parameters:
        `name` -

    - #### getDiscription

          public java.lang.String getDiscription()

      Returns:

    - #### setDiscription

          public void setDiscription(java.lang.String discription)

      Parameters:
        `discription` -

    - #### getStatus

          public int getStatus()

      Returns:

    - #### setStatus

          public void setStatus(int status)

      Parameters:
        `status` -

    - #### getRampMeteringType

          public CA2DInt getRampMeteringType()